#
# spec file for package xdg-terminal-exec
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xdg-terminal-exec
Version:        20231014+git.b6d2874
Release:        1.1
Summary:        XDG terminal execution utility and default terminal specification
# FIXME: Select a correct license from https://github.com/openSUSE/spec-cleaner#spdx-licenses
License:        GPL-3.0-or-later
URL:            https://github.com/Vladimir-csp/xdg-terminal-exec/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  bats

%description
Utility for XDG terminal execution and defining a systems default graphical terminal emulator.

%prep
%autosetup -p1

%build
:

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 xdg-terminal-exec %{buildroot}%{_bindir}

%check
bats test

%files
%license LICENSE
%{_bindir}/xdg-terminal-exec

%changelog
* Thu Oct 26 2023 mcepl@cepl.eu
- Update to version 20231014+git.b6d2874:
  * update readme
  * WIP #28 internal list deduplicator, formatting
  * WIP #28 add stock applications controls to configs
  * check_bool function
  * WIP #28 filter terminals from applications
  * tr is faster than xargs -n1 on lots of lines
- Store only *.obscpio, the tarball is generated in buildtime.
* Sat Oct  7 2023 mcepl@cepl.eu
- Update to version 20231003+git.e5c20d0:
  * test/tests.bats: Add a TODO for additional tests
  * Add myself as a contributor
  * xdg-terminal-exec: Remove now unused code
  * xdg-terminal-exec: Move entry ID loops out to main
  * xdg-terminal-exec: Use globals set by `find*entry`
  * xdg-terminal-exec: Parse config file using `case`
  * xdg-terminal-exec: Check entries using `case`
  * xdg-terminal-exec: Parse entry file using `case`
  * xdg-terminal-exec: set `errexit` and `nounset`
  * README: Small fixes and changes
  * default debug value (fixes #24)
  * xdg-terminal-exec: Remove empty variable assignments
  * xdg-terminal-exec: Normalise printing
  * xdg-terminal-exec: Normalise string quotes
  * xdg-terminal-exec: Indent here documents
  * tests: Make `tests.bats` executable
  * xdg-terminal-exec: run `shfmt`
  * xdg-terminal-exec: don't use `find -printf`
* Mon Jul 31 2023 mcepl@suse.com
- Update to version 20230731+git.6426085:
  * fix shellcheck warnings, fixes #20
* Mon Jul 31 2023 mcepl@suse.com
- Update to version 20230725+git.97162b5:
  * Update xdg-terminal-exec
  * replace bloated xargs -0/IFS sorcery with more compact and
    clean eval/set magic
  * Use ASCII chars as candidates for delimiter, fixes #12
  * Fix errors during tests
  * xdg-terminal-exec: add missed $ to CHAR variable
  * Fixes for missing executable and empty data dirs
  * account for explicitly empty EXECARG, construct_argv
    function, update doc
- Enable tests.
* Thu Feb 23 2023 rbrown@suse.com
- Update to version 20230223+git.c70f178:
  * Add support for /usr/etc configurations
* Thu Feb 23 2023 Richard Brown <rbrown@suse.com>
- Initial Packaging, to be used by MicroOS Desktop and forks
